View Issue Details

IDProjectCategoryView StatusLast Update
0031653LazarusDebuggerpublic2020-06-06 03:38
ReporterCudaText man Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOS 10.8 
Fixed in Version2.2 
Summary0031653: Gdb shows err which cannot to read
DescriptionError msg don't fit into memo, and I cannot scroll memo, so
cannot read last text.
Picture.
TagsNo tags attached.
Fixed in Revision63310
LazTarget2.2
Widgetset
Attached Files

Activities

CudaText man

2017-04-11 11:45

reporter  

gdb--small.png (45,141 bytes)   
gdb--small.png (45,141 bytes)   

Martin Friebe

2017-04-13 00:14

manager   ~0099584

Some notes:

1) Indeed there should be a scrollbar. That is a bug.

2) you can click into the text, and then use the cursor keys. You can also select and copy.
If that is not possible on Mac (It is possible on Windows), then this would be a 2nd bug. This would need to be reported for Memo specific to Mac OS. (darwin)

3) About the message in your picture. The missing text is "please check if gdb is codesigned. ..." (the bit about codesigned is what matters)
This is an issue specific to MAC, it has been answered plenty of times on our forum. There also may be a wiki article (I do not have a MAC, so I am not familiar with this bit)
There is currently no other known solution to the codesignig, except for the one on forum/wiki, so it can not be fixed...

Martin Friebe

2020-06-06 03:38

manager   ~0123246

Please test and close if ok

Issue History

Date Modified Username Field Change
2017-04-11 11:45 CudaText man New Issue
2017-04-11 11:45 CudaText man Status new => assigned
2017-04-11 11:45 CudaText man Assigned To => Martin Friebe
2017-04-11 11:45 CudaText man File Added: gdb--small.png
2017-04-13 00:14 Martin Friebe Note Added: 0099584
2020-06-06 03:38 Martin Friebe Status assigned => resolved
2020-06-06 03:38 Martin Friebe Resolution open => fixed
2020-06-06 03:38 Martin Friebe Fixed in Version => 2.2
2020-06-06 03:38 Martin Friebe Fixed in Revision => 63310
2020-06-06 03:38 Martin Friebe LazTarget => 2.2
2020-06-06 03:38 Martin Friebe Note Added: 0123246